/**
 * Changelog
 *
 * @package         ReReplacer
 * @version         5.13.5
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2015 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

/**
 * + Added
 * ! Removed
 * ^ Changed
 * # Fixed
 */

08-May-2015 : v5.13.5
 ^ Updated translations: ro-RO
 # Fixed issue with fatal error about utf8_strtolower on export
 # [J3][PRO] Fixed issue with assignment to K2 page type tags not working

25-Mar-2015 : v5.13.4
 # [J3] Fixed issue with unknown modifier error when using '#' in search when using word search option

04-Mar-2015 : v5.13.3
 # [PRO] Fixed issue with count tag being replaced on first match multiple times
 # [J3][PRO] Fixed issue with Zoo frontpage pagetype assignment not working
 # [J3][PRO] Fixed issue with url assignment not working correctly when using the regex option

24-Feb-2015 : v5.13.2
 # [J3][PRO] Fixed issue with Content author assignment giving fatal error
 # [J3][PRO] Fixed issue with EasyBlog pagetype 'Frontpage Blog Layout' not working
 # [J3][PRO] Fixed issue with K2 tags assignment not working and giving error
 # [J3][PRO] Fixed issue with url assignment not working correctly when having multiple lines

23-Feb-2015 : v5.13.1
 # [J3][PRO] Fixed issue with assignments on items that have no accompanying menu item not working correctly
 # [J3][PRO] Fixed issue with time assignments not working correctly

23-Feb-2015 : v5.13.0
 + [PRO] Added Norway counties to the Geo regions selection
 + [J3] Added option to force replacements inside edit forms
 + [J3][PRO] Added ability to assign modules by EasyBlog page types, categories, tags and items
 + [J3][PRO] Added ability to assign modules by Form2Content types
 + [J3][PRO] Added ability to assign modules by Joomla article, K2 item and Zoo item author
 + [J3][PRO] Added ability to treat replacement as PHP code
 ^ Updated translations: uk-UA
 ^ [J3][PRO] Recoded assignment code
 # [J3][PRO] Fixed issue with dates not being saved correct in regards to timezone

08-Jan-2015 : v5.12.5
 # Fixed issue with Free version being able to be installed over the Pro version

21-Dec-2014 : v5.12.4
 ! Removed compatibility for php versions under 5.3.13
 ! [J3] Removed compatibility for Joomla 3 versions under 3.3.0
 ^ Updated review links to the Joomla Extensions Directory
 ^ [PRO] Updated browser detection scripts

25-Nov-2014 : v5.12.3
 ^ Updated translations: et-EE, id-ID, pl-PL
 # Fixed issue with error about nnFile on installation on some setups
 # Fixed issue with uninstallation of component not uninstalling plugins correctly
 # Fixed issues with utf-8 characters in export/import
 # [PRO] Fixed issue with assignment to VirtueMart pagetype cart not working
 # [PRO] Fixed issues with duplicate rows in update_sites table
 # [J2] Fixed issue with simple/normal/advanced buttons not working

06-Nov-2014 : v5.12.2
 ^ Updated translations: et-EE, lt-LT, pl-PL
 # [J3] Fixed issues with list ordering not working

18-Oct-2014 : v5.12.1
 # [J3] Fixed issue with JForm::getInstance error on list view

18-Oct-2014 : v5.12.0
 + [PRO] Added extra geo location service: Telize
 + [J3] Added extra filters in list view
 ^ [J3] Added filters to search tools in list view
 # Fixed issue with plugin not working on jDownloads frontend view
 # [J3][PRO] Fixed issue with assignment to tags on items with multiple tags not working correctly

28-Sep-2014 : v5.11.3
 ^ Updated translations: ca-ES, el-GR
 # Fixed issue with not all replacements not working on < PHP 5.4.0

25-Sep-2014 : v5.11.2
 + Added translations: vi-VN
 ^ Improved rendering speed
 ^ [PRO] Updated browser list
 # Fixed issue with lookbehind not working in regex
 # Fixed issue with plugin not being run over introtext/fulltext on onContentPrepare event
 # Fixed issue with replacements set to area head not working
 # [PRO] Fixed issue with assignment to K2 categories not working correctly

28-Aug-2014 : v5.11.1
 # Fixed issue with fatal error when using the {noreplace} tags

27-Aug-2014 : v5.11.0
 ^ Refactored more code
 ^ Updated translations: id-ID
 # Fixed issue with 'Enable in Feeds' option not working
 # Fixed issue with body and head areas not being honoured
 # [PRO] Fixed issue with $article->text being empty when referenced in the PHP assignment

16-Aug-2014 : v5.10.1
 # Fixed issue with full images in JoomGallery being messed up
 # Fixed issue with replacements not working when there is a hash in the search

15-Aug-2014 : v5.10.0
 + Added search area head (not in body)
 ! [FREE] Removed useless 'Else' options/field from assignments tab (is for Pro version only)
 ^ Refactored code
 ^ Updated translations: nl-NL, lt-LT, pt-BR
 # Fixed issue with replacements not working on raw format
 # [PRO] Fixed HikaShop category assignment not working
 # [PRO] Fixed issue with IP assignment throwing errors
 # [PRO] Fixed issue with Virtuemart product list being empty
 # [PRO] Fixed issue with edit page breaking when not using en-gb as an active language in VirtueMart
 # [PRO] Updated and fixed some stuff in mobile browser detection
 # [J2] Fixed issue with errors after upgrade to Joomla 3
 # [J3] Fixed issue with timeouts in assignment fields when having great amounts of articles/items

24-May-2014 : v5.9.2
 ! Removed incorrect translations of the URL field description
 ! [J3] Removed compatibility for Joomla 3 versions under 3.2.2
 ^ Updated translations: id-ID

14-May-2014 : v5.9.1
 ^ Updated translations: et-EE, id-ID, nl-NL
 ^ [J25] Fixed missing ticks/crosses in the tags table for upper/lowercase tags
 # [PRO] Fixed issue with xml replacements not working when it only has one replacement

11-Apr-2014 : v5.9.0
 + Added ability to convert (parts of) regex replacement values to lowercase using [[lowercase]] tags
 + Added ability to convert (parts of) regex replacement values to uppercase using [[uppercase]] tags
 ^ Updated translations: id-ID, lt-LT

31-Mar-2014 : v5.8.0
 + [PRO] Added ability to assign by recurring date (so date range applies every year)
 + [PRO] Added assignment: Cookie Confirm
 ^ Updated translations: et-EE
 # [PRO] Fixed issue with mysql error when using FLEXIcontent assignment
 # [J3][PRO] Fixed issue with hours and minutes not being saved in publish up/down fields

26-Feb-2014 : v5.7.11
 ^ Improved rendering speed on list views
 # Fixed issue with breaking of xml view of com_jmap
 # Fixed issue with feeds being broken
 # Fixed issue with params in xml not taking effect
 # Fixed issue with some missing language strings in some occasions
 # [J3] Fixed issue with html entities showing in descriptions in list view
 # [J3] Fixed issue with nested list selections breaking when there is an item with an incorrect 'level' value

30-Dec-2013 : v5.7.9
 ^ Improved some code in NoNumber Framework which improves page load speed
 ^ Updated translations: nb-NO, sv-SE
 # Fixed installation error about duplicate entry on some MySQL 5.6 setups
 # Fixed issue with fatal errors when the custom xml files do not contain valid xml syntax
 # [J3] Fixed issue with item with xml file not saving and giving false error about empty name

08-Nov-2013 : v5.7.8
 # [PRO] Fixed issue with home page assignment also showing modules on some edit pages
 # [J3.2][PRO] Fixed issue with multiple assignment selections not working correctly

08-Nov-2013 : v5.7.7
 # Fixed issue with Geo Locating assignments not showing
 # [J3.2][PRO] Fixed issue with assignment selections not working or being saved correctly

03-Nov-2013 : v5.7.6
 # Fixed issue with icons not working

01-Nov-2013 : v5.7.5
 + [PRO] Added ability to assign to individual template styles
 # [PRO] Fixed issue with php errors when using xml functionality
 # [PRO] Fixed issue with php notice about view_state not being defined

16-Oct-2013 : v5.7.4
 # [FREE] Fixed issue with update failing due to false message about using old version from before Free/Pro

15-Oct-2013 : v5.7.3
 + Added translations: ar-AA, ar-SA, bg-BG, bn-BD, cs-CZ, es-CL, es-ES, fa-IR, he-IL, hi-IN, hr-HR, hu-HU, id-ID, nb-NO, pl-PL, pt-PT, ro-RO, sk-SK, sr-RS, sv-SE, tr-TR, uk-UA, zh-CN, zh-TW
 ^ Changed javascript minification to use Google Closure
 ^ Updated translations: da-DK, et-EE, ja-JP
 ^ [PRO] Updated list of browsers in Browser Assignment
 # Fixed issue with header stuff (javascript/css) not always being added in category views
 # Fixed issue with tags and quotes in description messing up the list view
 # [PRO] Fixed issue with URL assignments not always working correctly on cyrilic urls
 # [PRO] Updated and fixed some stuff in mobile browser detection

28-Aug-2013 : v5.7.2
 # [J2] Fixed issue with Simple/Normal/Advanced buttons not working correctly
 # [J2] Fixed issue with incorrect icons in Simple/Normal/Advanced buttons

07-Aug-2013 : v5.7.1
 # [J2] Fixed issue with not being able to install when Qlue404 is installed

07-Aug-2013 : v5.7.0
 + [PRO] Added option to hide copyright info on the main admin component view
 + [PRO] Added option to hide the update notification on the main admin component view
 ^ Updated translations: ca-ES, fr-FR, ru-RU
 # [PRO] Fixed issue with 3rd party item and tag assignment fields showing categories instead
 # [J2] Fixed incorrect path to the RegEx cheat cheat
 # [J3.0] Improved rendering speed on list views
 # [J3] Fixed issue with update notification not working

27-Jun-2013 : v5.6.0
 + [PRO] Added assignment: MijoShop (thanks Denis Dulici)
 ! [J2] Removed compatibility for Joomla 2.5 versions lower than 2.5.10
 ! [J3.0] Removed compatibility for Joomla 3 versions lower than 3.1.0
 # Fixed issue with install issues on some MySQL 5.6 setups (due to InnoDB dependancy)
 # [J3.0] Fixed issue with select options in multiselect checkbox lists not working

18-Jun-2013 : v5.5.1
 # [J2][PRO] Fixed issue with User Group Level assignment list being empty and throwing errors

17-Jun-2013 : v5.5.0
 + Added possibility to assign to menu type (complete menu)
 + [J3][PRO] Added Tags assignment

15-May-2013 : v5.4.4
 # [J3] Fixed incorrect path to the RegEx cheat cheat

11-Apr-2013 : v5.4.3
 ^ Prepended 'NoNumber' to the component name in admin menu

28-Mar-2013 : v5.4.2
 # [J2] Fixed issue with settings popup showing overlay and styling being messed up

28-Mar-2013 : v5.4.1
 # Fixed faulty icon in admin components menu (sorry)

28-Mar-2013 : v5.4.0
 + Added translations: sl-SI
 + [PRO] Added Category Blog to content type assignment
 + [PRO] Added IP Addresses / Ranges assignment
 ^ Changed messaging on installation on unsupported Joomla versions
 ^ Cleaned up some code (syntax)
 ^ Moved/fixed location of admin menu icon

06-Mar-2013 : v5.3.0
 + [PRO] Added Geolocation assignments (continent, country, region) using geoPlugin.com
 ^ Updated list of browsers in browser assignments
 ^ [J3] Changed fieldtype of single level multi selects to chosen fields
 # [J3] Fixed issue with Firefox giving unresponsive script messages

27-Feb-2013 : v5.2.1
 ^ Updated translations: de-DE, fr-FR
 # Fixed incorrect path to the RegEx cheat cheat

11-Feb-2013 : v5.2.0
 + Added less files for generating css files
 + Added translations: fr-FR
 + [PRO] Added Geolocation assignments (continent, country, region)
 + [PRO] Added switch for Regular Expression syntax on URL assignment field
 ^ Added exception to allow replacements in forms for RS Events Pro
 ^ Improved conversion of old Joomla 1.5 database values
 ^ Minified css files
 ^ Updated translations: nl-NL
 # Fixed some issues with installation breaking and throwing errors on some setups

28-Jan-2013 : v5.1.3
 + Added user profile fields to the [[user]] dynamic tag
 ! [PRO] Removed the Web crawlers / Searchbots assignments
 ^ Updated translations: pt-BR
 # [J3] Fixed issue with ordering table via the dropdown options not working

13-Jan-2013 : v5.1.2
 ^ Updated translations: lt-LT
 # [J3] Fixed issue php error when NoNumber Framework plugin is not installed or enabled
 # [J3] Fixed issue with import feature not working

29-Dec-2012 : v5.1.1
 # Fixed error about XML setup file on first install

24-Dec-2012 : v5.1.0
 ^ Cleaned up code
 ^ Moved media files to Joomla media folder
 ^ [J3] Improved some more layout stuff
 ^ [J3] Moved main item details to right side on edit page
 # Fixed issue with new lines not matching on some setups
 # [J3] Fixed issue with OS and Browser assignment options being empty
 # [J3] Fixed issue with titles in administrator not showing 'ReReplacer'
 # [J3] Fixed layout of import page

11-Dec-2012 : v5.0.4
 # [J2] Fixed issue with errors about xml files on installation
 # [J2] Fixed issue with incomplete incompatibity message on install on Joomla versions lower than 2.5.7

04-Dec-2012 : v5.0.3
 ! [J2] Removed ability to install on Joomla versions lower than 2.5.7
 ^ Updated translations: de-DE, th-TH
 # [FREE] Fixed issue with saving items giving javascript error
 # [PRO] Fixed issue with VirtueMart categories not showing/working correctly when using a different default language than en_gb
 # [PRO] Fixed issue with date/time assignments not working correctly due to offset problems

14-Nov-2012 : v5.0.2
 # Fixed issue with error messages about XML file on installation on some setups

10-Nov-2012 : v5.0.1
 # [FREE] Fixed issue with version number causing problems with version check in the NoNumber Extension Manager

09-Nov-2012 : v5.0.0
 + [J3] Added Joomla 3 support
 ! [J1.5] Removed Joomla 1.5 support

09-Nov-2012 : v4.3.0
 + Added translations: da-DK
 ! [J1.5] LAST VERSION COMPATIBLE WITH JOOMLA 1.5
 ! [J2][PRO] Removed separate SEF and non-SEF url fields in assignments

24-Oct-2012 : v4.2.1
 ^ Cleaned up a lot of code
 ^ Updated translations: it-IT
 # Fixed some language strings
 # [PRO] Fixed issue with k2 not being recognized when upgraded to K2 2.6.0
 # [PRO] Fixed issue with some assignments not showing (3rd party, php, else)
 # [J2] Fixed issue with errors with Phoca PDF

04-Sep-2012 : v4.2.0
 + [PRO] Added separate assignments for operating systems, search bots and mobile browsers
 + [J2][PRO] Added Akeeba Subscriptions assignments
 + [J2][PRO] Added FLEXIcontent assignments
 + [J2][PRO] Added HikaShop assignments
 + [J2][PRO] Added Page Type assignments to all content, CCK and Commerce assignment groups
 + [J2][PRO] Added RedShop assignments
 + [J2][PRO] Added VirtueMart assignments
 + [J2][PRO] Added ZOO Item assignment
 - [J2][PRO] Removed default option for the Show Assignments option
 ^ Changed ordering of assignment types
 ^ Changed styling and layout of assignment options
 ^ [J2][PRO] Changed Article ID text field to a multiselect
 ^ [J2][PRO] Changed K2 Item ID text field to a multiselect
 # Fixed some layout/styling issues in the item edit screen

13-Jul-2012 : v4.1.4
 # [J2][FREE] Fixed issue with php syntax error

13-Jul-2012 : v4.1.3
 ! Removed ability to install on Joomla 1.6 and 1.7
 ! Removed ability to install on setups with php 5.2 or lower
 ^ Cleaned a lot of code
 ^ Updated translations: nl-NL
 # Fixed issue with replacements being done inside the Josetta form

09-May-2012 : v4.1.2
 # Fixed issue with installation failing (conflicted-copy)

09-May-2012 : v4.1.1
 # [J2][PRO] Fixed issue with page breaking when $article variable is used in php assignment

01-May-2012 : v4.1.0
 ^ Increased page load speed by changing how xml files are loaded
 ^ Increased performance when using same assignments for different replacements

16-Apr-2012 : v4.0.3
 # [J1.7+] Fixed issue with 'Trying to get property of non-object' error when Sourcerer is not installed

14-Apr-2012 : v4.0.2
 # [FREE] Fixed javascript issue on item edit page causing the save buttons to fail

10-Apr-2012 : v4.0.1
 # SECURITY FIX: Fixed URL injection vulnerability in NoNumber Framework

07-Apr-2012 : v4.0.0
 ^ Changed some language strings
 ^ Cleaned up code syntax
 ^ Now available as Pro and Free version
 ^ Updated translations: de-DE

12-Mar-2012 : v3.0.11
 ^ Cleaned up code syntax
 # Fixed issue with error on saving items with only an xml item defined
 # Fixed issue with replacements being executed in frontend forms

01-Mar-2012 : v3.0.10
 ^ Updated translations: lt-LT, nl-NL, pt-BR, th-TH
 # Fixed issue with XML option not showing

02-Feb-2012 : v3.0.9
 + Added ability to escape values in replace field using [[escape]] tags
 ^ [J1.7+] Improved handling of replacements in pdf files
 # [J1.7+] Fixed issue with date tag not outputting correctly

26-Jan-2012 : v3.0.8
 + Added '(Un)Select all' options to multiselect fields
 ^ Improved caching of replacement list
 ^ Improved handling of Sourcerer tags in replacement field
 # Fixed issue with installer not removing the folder/zip from the tmp
 # [J1.7+] Fixed issue with modal links opening in full window

02-Jan-2012 : v3.0.7
 + Improved speed of toggler script
 ! Removed grey overlay during loading of page

23-Dec-2011 : v3.0.6
 # Fixed issue with assignment options not showing on mootools 1.2+ setups

22-Dec-2011 : v3.0.5
 # [J1.7] Fixed issue with script breaking, causing data not being checked

21-Dec-2011 : v3.0.4
 + Added translations: et-EE, ru-RU
 ^ Cleaned up more code
 ^ Improved speed and stability of toggler script
 ^ Updated translations: de-DE, pt-BR, th-TH
 # [J1.7] Fixed issue with option togglers (in closed slides) not working properly

16-Nov-2011 : v3.0.3
 + Added option to not treat search and replace fields as lists
 ^ Updated translations: lt-LT, pt-BR
 ^ [J1.7] Improved speed of saving the item
 # Fixed issue with area not being changeable via xml file
 # [J1.7] Fixed issue with Duplicate function not working
 # [J1.7] Fixed issue with access settings not showing up
 # [J1.7] Fixed issue with html entities being converted in textarea fields
 # [J1.7] Fixed issue with import only saving first item from file
 # [J1.7] Fixed issue with multiple line url assignments not working
 # [J1.7] Fixed issue with not being able to cancel an empty item

07-Nov-2011 : v3.0.2
 # [J1.7] Fixed issue with multiselect values not being saved

03-Nov-2011 : v3.0.1
 # [J1.7] Fixed issue with helper file missing

02-Nov-2011 : v3.0.0
 + Added translations: th-TH
 + Joomla 1.7 compatible!
 ^ Cleaned code syntax (no longer guaranteed support for php 5.2.x and lower)
 # Fixed issue with Else field not showing in assignment options
 # Fixed issue with assignment to homepage url being case sensitive
 # Fixed issue with double checkboxes showing on long titles in select fields
 # Fixed security issue in NoNumber Framework plugin

08-Oct-2011 : v2.17.1
 # Fixed issue with Sunday being displayed as Saturday in assignment settings

08-Oct-2011 : v2.17.0
 ! Removed help page (no help button links to online info)
 ^ Cleaned up some code (like no more use of DS)
 ^ Improved installer
 ^ Moved translation language files to main package (no more language packs)
 # Fixed issue with replacements also being done on pages that do not have the between strings

16-Sep-2011 : v2.16.0
 + Added K2 tags & item assignment option
 + Added Save as Copy button
 + Added display of current date/time in settings
 + Added robots/web crawlers to browser selection list
 ^ Changed NoNumber Elements plugin to NoNumber Framework
 ^ Improved date/time assignment checks
 ^ Improved handling of Sourcerer code inside the replacement field
 ^ Moved common language strings to NoNumber Framework files
 ^ Updated browser selection list
 # Fixed issue with JEventHandler error on some setups
 # Fixed issue with browser assignment Safari also assigning to Chrome (thanks Liam)
 # Fixed issue with duplicate database queries when there are no article replacement items
 # Fixed issue with offset not being taken into account on time assignment

29-Mar-2011 : v2.14.3
 ^ Changed language files to be J1.6 ready
 # Fixed issue plugin being executed on raw format pages
 # Fixed issue with help popup in item view not working
 # Fixed issue with images in help text on dynamic tags being broken
 # Fixed issue with slashes not being handled correctly when copying items

18-Feb-2011 : v2.14.2
 # Fixed issue with html tags in strings causing load by xml to fail
 # Fixed issue with only last item in xml files being handled
 # Fixed issue with using date() format in date variable tag

11-Feb-2011 : v2.14.1
 ^ Changed extension icon / logo
 # Fixed incompatibility with some ajax based extensions
 # Fixed issue with PHP notice in feeds
 # Fixed issue with months assignment not working
 # Fixed issue with untranslated language strings in config popup
 # Fixed issue with word search not working correctly with Cyrillic characters

14-Dec-2010 : v2.14.0
 + Added assignments to seasons, months, day of the week and time
 + Added extra dynamic tags
 # Cleaned up some code
 # Fixed issue with category selection with similar cat ids also getting selected
 # Fixed issues with document being called to early
 # Fixed some issues with loading of language strings

25-Nov-2010 : v2.13.0
 + Added checks to see if NoNumber Elements plugin is installed/enabled
 ^ Fixed and updated all language strings
 ^ Improved code to make it lighter/faster
 # Fixed issue with errors on saving/ordering when area is not set
 # Fixed issue with replacements being done in edit fields

16-Nov-2010 : v2.12.0
 # Fixed extension causing pages to break on some setups
 # Fixed issue with not working in some forms (where they should)

15-Nov-2010 : v2.11.1
 # Fixed issue with some pages (edit) going white

15-Nov-2010 : v2.11.0
 ^ Made MooTools 1.2 compatible
 ^ Moved some styling to global plugin
 # Fixed issue with replacements with Cyrillic characters (single character matches)
 # Fixed issues with ordering items in list

18-Oct-2010 : v2.10.3
 # Fixed faulty version number in package

18-Oct-2010 : v2.10.2
 ^ Improved code to make it faster
 # Fixed issue with area ordering in list not having correct order
 # Fixed issue with copying multiple items (copied only first item multiple times)
 # Fixed some more issues with display of Cyrillic characters in list view

29-Sep-2010 : v2.10.1
 # Moved onPrepareContent back to system plugin

27-Sep-2010 : v2.10.0
 + Added Zoo support in assignments
 + Added area column in list
 ^ Changed ordering in list to be grouped by area
 ^ Moved onPrepareContent to content plugin
 # Fixed issue with display of Cyrillic characters in list view
 # Fixed issue with items assigned to article ids also showing up on those section/category ids
 # Fixed issue with ordering by ID in list giving an error

03-Sep-2010 : v2.9.3
 + Added some descriptions on assignment options
 # Fixed some issues with language strings

24-Jul-2010 : v2.9.2
 # Fixed issue with system plugin not being uninstalled completely on uninstall of component

24-Jul-2010 : v2.9.1
 ^ Changed way version and license information are displayed (now via ajax)
 ^ Changed way versions and licenses are checked (no more base64)

19-Jul-2010 : v2.9.0
 + Added display of version number in the component
 + Added option to use xml files to set multiple replacement sets per item
 ^ Moved and fixed some language strings
 # Fixed issue with assignment to browsers not working correctly
 # Fixed issue with some regex in assignment to url not working

07-Jul-2010 : v2.8.2
 + Added assignment to browsers
 ^ Improved some code to make it lighter
 # Fixed issue with assignment to url not working
 # Fixed issue with error when using Mighty Resource category assignments
 # Fixed issue with errors in some cases when used in combination with Articles Anywhere
 # Fixed issue with errors when assigned to K2 and Mighty Resource categories
 # Fixed issue with include children of K2 and Mighty Resource categories not working

23-Jun-2010 : v2.8.1
 # Fixed issue with code looping, causing page timeouts

22-Jun-2010 : v2.8.0
 + Added Mighty Resource support in assignments
 + Added Save & New button
 + Added different views in item edit page (simple, normal, advanced)
 + Added global configuration options
 ^ Changed K2 item id field to a select field
 ^ Changed save and apply buttons
 ^ Split URL assignment into 2 fields, one for SEF, one for non-SEF

13-Apr-2010 : v2.7.2
 # Fixed issue with K2 categories/items assignment not working correctly
 # Fixed issue with PHP assignment not working correctly
 # Fixed issue with assignment to component not working correctly in some occasions
 # Fixed issue with assignment to date (Finish Publishing) not working correctly
 # Fixed issue with enters in 'replace else' field displaying as \n

03-Apr-2010 : v2.7.1
 # Fixed problems from v2.7.0 causing replacements to fail

02-Apr-2010 : v2.7.0
 ^ Displays disabled menu items as italic in menu item select box
 # Fixed issue with assignment to date not working correctly
 # Fixed issue with error in admin when items are enabled on admin (and have assignments)
 # Fixed issue with items assigned to K2 categories also being active on other pages
 # Fixed issue with trashed menu items appearing in menu item select box
 # Fixed some layout issues for APLite template
 # Optimized code and reduced number of database queries (making to make it all faster/lighter)

22-Feb-2010 : v2.6.5
 # Fixed issue with database table not being installed
 # Fixed issue with submenu items not being created

17-Feb-2010 : v2.6.5
 ! Removed show/hide option for Syntax Help (now always shows)
 ^ Optimized some code
 # Fixed issue with data tags also being handled outside replacement
 # Fixed issue with error about redeclaring clone function on php 4
 # Fixed issue with errors about registry for php 5.0.5
 # Fixed issue with ordering columns not working
 # Fixed some stuff in the Syntax Help text

09-Feb-2010 : v2.6.4
 # Fixed issue with wrong database table being created on new installation in v2.6.3

08-Feb-2010 : v2.6.3
 + Added assignment to PHP evaluation
 + Added tooltips to assignment settings
 # Fixed issue with slashes not being removed from text searches

30-Jan-2010 : v2.6.2
 # Fixed issue with search areas not showing (also causing problems on saving items)

30-Jan-2010 : v2.6.1
 ^ Changed layout of item edit screen
 # Fixed issue with database error on some setups (regarding licenses)
 # Fixes syntax of older database records

29-Jan-2010 : v2.6.0
 + Added Commercial License Code support
 + Added extra variables to use in replacement (date, user details, random number)
 + Added more assignment filters (components, date, url, users, k2 categories)
 + Added option to choose AND / OR method of assignments matching
 + Added option to set publish state of imported items
 + Added support for APLite admin template
 ^ Changed file encoding to UTF-8
 ^ Improved some code to make it lighter
 ^ Improved syntax help text
 ^ Moved elements to seperate global plugin (also used by other extensions)
 ^ Moved functions to helper file
 ^ Only 1 'Else' replace field instead of 1 per assignment group
 ^ Reduced number of database queries
 ^ Renamed limits to assignments (also in params)
 # Fixed issue with deprecated syntax for php 5.3+
 # Fixed issue with foreach() error sometimes happening
 # Fixed issue with order of execution for items with same ordering number
 # Fixed issue with preg_match_all error in some cases (when article author is not set)
 # Fixed issue with regex searches not matching when special whitespace in output
 # Fixed issue with search/replace texts loosing the slash (\) after saving/copying

27-Aug-2009 : v2.5.3
 # Fixed issue with installation not working!

26-Aug-2009 : v2.5.1
 # Fixed issue with missing element files (causing errors)

26-Aug-2009 : v2.5.0
 + Added option to limit by menu item (itemid)
 + Added option to limit by site language
 # Fixed issue with special characters in list view (description, search, replace)
 # Fixed issue with textareas not being selectable because of resize option

07-Aug-2009 : v2.4.1
 # Fixed issue with RR tags sometimes showing
 # Fixed issue with errors in feeds when using K2

08-Jul-2009 : v2.4.0
 ^ Changed sliding toggle option (in admin settings) to work better in IE8
 # Fixed issue with limiting on sections/categories not working correctly
 # Fixed issues with php4 incompatibility

04-Jul-2009 : v2.3.1
 + Added option to disable ReReplacer temporarily via url &disable_rereplacer=1
 + Added replace for zip
 ^ Seriously speeded up execution of replacements/code
 # Fixed issue with minor error in version check

26-Jun-2009 : v2.3.0
 ^ Changed auto installer
 ^ Changed the Regular Expressions Cheat Sheet pdf to a png (to make package lighter)
 ^ Changed the textarea element (made it resizable)
 ^ Changed the way options are shown/hidden
 # Fixed issue with limiting on sections/categories not working correctly
 # Fixed issue with update notification not working correctly

05-Jun-2009 : v2.2.11
 # Fixed issue with option Enable in tags: No resulting in blank page
 # Fixed potential errors in pdf pages

02-Jun-2009 : v2.2.10
 # Fixed issue with remaining RR_ codes in page

01-Jun-2009 : v2.2.9
 + Added uninstallation of plugin when component is uninstalled
 ^ Made code more stable and faster
 # Fixed issue with sometime leaving [:BODY:] codes in page

28-May-2009 : v2.2.8
 # Fixed issue with replacements in articles not being done before content plugins (since v2.2.5)

27-May-2009 : v2.2.7
 # Really fixed issue with articles with page breaks!

27-May-2009 : v2.2.6
 # Fixed issue with articles with page breaks

26-May-2009 : v2.2.5
 # Fixed issue with replacements being done multiple times
 # Fixed issue with replacements not being done correctly in feeds and pdfs
 # Fixed tag selection not working properly
 # Fixed update of the admin icon for older versions

11-May-2009 : v2.2.4
 + Added some styles to support the AdminPraise2 administrator template
 # Fixed issue with exported items sometimes being checked out
 # Fixed issue with replacements going over areas multiple times
 # Fixed issue with replacements not working in non-content forms (now only content edit forms are protected)

28-Apr-2009 : v2.2.3
 + Added option to enable/disable replacement in articles title
 + Added option to enable/disable replacement in the name of the articles author
 + Added possibility to protect areas from replacements through {noreplace} tags
 ^ Changed different administrator elements
 ^ No longer replaces stuff in any adminForm (prevents problems with editors)
 # Fixed issue with area 'articles' not working
 # Fixed issue with error about editor if item is being edited
 # Fixed issue with error on option to limit by sections / categories in administrator

21-Apr-2009 : v2.2.2
 ^ Changed different administrator elements
 # Fixed issue with some code not being compatible with php4
 # Fixed issue with version check giving conflicts (with other NoNumber extensions)

17-Apr-2009 : v2.2.1
 + Added option to limit by sections / categories
 # Fixed issue with installer giving error white screen on some setups
 # Fixed issue with templates path not being found on some setups (used in limit templates)
 # Fixed issue with using dollar signs in the replacement

31-Mar-2009 : v2.2.0
 + Added a Regular Expressions Cheat Sheet (pdf) for extra help
 + Added a counter variable to use in the replacements (\#)
 + Added checks for certain parameter fields (like minimum length of for 'between'-fields)
 + Added confirmation alert before deleting items
 + Added import / export functionality
 ! Removed update icon in administrator toolbar
 ^ Changed 'repeat' option to a 'thorough' option
 ^ Changed installation procedure (automatic installer/updater)
 ^ Changed some field types in administrator (i.e. expand button with text areas)
 ^ Changed the way ReReplacer protects areas where the replacement should not be done
 ^ Changed the way the limit to tags works (more logical)
 ^ Changed update notification
 ^ Moved Dutch language from main to separate package
 ^ Moved examples from main to separate package
 # Fixed error when plugin is installed but component is not
 # Fixed issue with using '\n' in the textfield (now isn't replaced by an enter on save)

14-Jan-2009 : v2.1.9
 + Added option to enable search in feeds

15-Dec-2008 : v2.1.8
 # Fixed issue with replacements not working when using article navigation

26-Nov-2008 : v2.1.7
 # Fixed issue with more than 20 replacer items still not working

25-Nov-2008 : v2.1.6
 # Fixed issue with more than 20 replacer items not working
 # Fixed issue with unicode characters
 # Fixed some minor bugs

11-Nov-2008 : v2.1.5
 ^ Changed update notification
 # Fixed broken images (icons)

21-Oct-2008 : v2.1.4
 # Fixed installation error!

21-Oct-2008 : v2.1.3
 ^ Changed way the update checking works
 # Replacements will no longer be done in frontend editor area

7-Oct-2008 : v2.1.2
 + Added extra update notification in Admin menu bar
 + Added option in plugin to turn update notification off
 # Fixed some issues with installing and uninstalling

7-Oct-2008 : v2.1.1
 + Added option to limit search to certain templates
 + Added option to limit search to certain user group levels
 + Added option to replace between give (html) codes
 ! Removed dodgy example ('Move scripts...')
 ^ Changed parameter order
 # Changed dodgy example ('Remove whitespace...', a bit safer now)
 # Fixed issue with language file not loading for messages on install
 # Fixed issue with userid not being set correctly (when saving items)

26-Sep-2008 : v2.1.0
 ^ Changed a lot of code to standardize syntax
 # Fixed issue with not being able to use certain variables (like $text)

24-Sep-2008 : v2.0.6
 # Fixed issue with replacements in area articles not working

23-Sep-2008 : v2.0.5
 # Fixed issue with Word search not in tags (words next to tags where also not replaced)
 # Fixed issue with title element not being found
 # Removed link to ReReplacer component in the menu items list

11-Sep-2008 : v2.0.4
 + Added "Active in Admin" option
 + Added example: "Remove empty tables"
 + Added special character support for newlines and spaces
 # Changed example: "Remove whitespace between tags"
 # Fixed issue with conflict in administrator when showing lists
 # Fixed issues with PHP4 setups
 # Fixed some issues with pdf's
 # Fixed undefined variable in plugin file

31-Jul-2008 : v2.0.3
 + Added "active in area"->"content", replacing only in component area
 + Added "show unpublished items" option in list view
 # Fixed issue with "active in area"->"body" not working
 # Fixed some issues with pdf's

30-Jul-2008 : v2.0.2
 + Added "show search and replace fields" option in list view
 # Fixed link to image in css for subfolder Joomla setups
 # Fixed more issues with install (mysql4) (argh!)

29-Jul-2008 : v2.0.1
 # Fixed some issues with install (mysql4)

28-Jul-2008 : v2.0.0
 + Added examples
 + Added loads of features / stability / logic :)
 ^ Completely recoded. Now it works with a Component and a Plugin (not just a Plugin)

07-May-2008 : v1.1.0
 + Added case insensitive search option
 + Added full language support
 + Added possibility to not replace in tags or only in certain tag parameters
 + Added support for sections and categories
 ^ Rearranged and renamed the parameters in the plugin administrator
 # [J1.5.3] Fixed issue with sections and categories

31-Mar-2008 : v1.0.1
 + Added ability to replace only in articles
 + Added ability to turn ReReplacer off through the request (post/get): rr_off=1 turns off all replaces,
 the regular expressions can be turned separately (rr_off_1=1 ... rr_off_12=1)
 ^ Expanded to 12 regular expressions
 ^ Recoded to make it more stable and more compliant to Joomla!
 # Fixed baseurl issue with websites not running in root folder
 # Fixed issue with remove list not working
 # Fixed issue with undefined variable (for PHP4)

10-Mar-2008 : v1.0.0
 + First release